package common.worldgen;

import java.util.Set;

import common.biome.BaseBiome;
import common.util.BlockPos;

public interface BiomeGenerator {
	public void genFactors(double[] factors, int xPos, int zPos, int sizeX, int sizeZ);
	public BaseBiome getBiomeGenerator(BlockPos pos, BaseBiome def);
	public void getGenBiomes(BaseBiome[] biomes, int x, int z, int width, int height);
	public void getChunkBiomes(BaseBiome[] oldBiomeList, int x, int z, int width, int depth);
	public void getBiomes(BaseBiome[] listToReuse, int x, int z, int width, int length, boolean cacheFlag);
	public boolean areBiomesViable(int x, int z, int size, Set<BaseBiome> allowed);
	public void cleanupCache();
}
